@echo off
if "%1"=="" (set TEST=??) else (set TEST=%1)
set TASK=abc
pushd ..
if NOT exist %TASK%_ik_other.exe call cs %TASK%_ik_other.cpp
if NOT exist %TASK%_vv.class call cs %TASK%_vv.java
if NOT exist %TASK%_ik_sort.exe call cs %TASK%_ik_sort.cpp
if NOT exist %TASK%_am.class call cs %TASK%_am.java
popd
for %%i in (%TEST%) do (
echo Test %%i:
pushd ..
copy tests\%%i %TASK%.in >nul
%TASK%_ik_other
copy %TASK%.out tests\%%i.b >nul
java.exe -ea -Xmx128M -Xss64M %TASK%_vv
copy %TASK%.out tests\%%i.c >nul
%TASK%_ik_sort
copy %TASK%.out tests\%%i.d >nul
java.exe -ea -Xmx128M -Xss64M %TASK%_am
copy %TASK%.out tests\%%i.e >nul
popd
check %%i %%i.b %%i.a
check %%i %%i.c %%i.a
check %%i %%i.d %%i.a
check %%i %%i.e %%i.a
)
